edu.isi.pegasus.planner.catalog.site.classes

## Class FileSystemType

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.FileSystemType

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  InternalMountPoint

    public abstract class FileSystemType
    extends AbstractSiteData

An abstract class describing a filesystem type.

The various attributes that can be associated with the the server are displayed in the following table.

Attribute Name | Attribute Description
--- | ---
mount-point | the mount point for the filesystem

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`protected java.lang.String` `mFreeSize` The free space on the file system.
`protected java.lang.String` `mMountPoint` The mount point for the file system.
`protected java.lang.String` `mTotalSize` The total size of file system.

### Constructor Summary

Constructors
Constructor and Description
`FileSystemType()` The default constructor.
`FileSystemType(java.lang.String mountPoint, java.lang.String totalSize, java.lang.String freeSize)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns the clone of the object.
`java.lang.String` `getFreeSize()` Sets the free directory size
`java.lang.String` `getMountPoint()` Returns the mount point for the file system type.
`java.lang.String` `getTotalSize()` Returns the total directory size.
`void` `setFreeSize(java.lang.String size)` Sets the free directory size
`void` `setMountPoint(java.lang.String point)` Sets the mount point for the file system type.
`void` `setTotalSize(java.lang.String size)` Sets the directory size

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`accept, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mMountPoint

    protected java.lang.String mMountPoint

The mount point for the file system.

#### mTotalSize

    protected java.lang.String mTotalSize

The total size of file system.

#### mFreeSize

    protected java.lang.String mFreeSize

The free space on the file system.

### Constructor Detail

#### FileSystemType

    public FileSystemType()

The default constructor.

#### FileSystemType

    public FileSystemType(java.lang.String mountPoint,
                          java.lang.String totalSize,
                          java.lang.String freeSize)

The overloaded constructor.

Parameters:
  `mountPoint` - the mount point of the system.
  `totalSize` - the total size of the system.
  `freeSize` - the free size

### Method Detail

#### setMountPoint

    public void setMountPoint(java.lang.String point)

Sets the mount point for the file system type.

Parameters:
  `point` - the mount point.

#### getMountPoint

    public java.lang.String getMountPoint()

Returns the mount point for the file system type.

Returns:
  the mount point.

#### setTotalSize

    public void setTotalSize(java.lang.String size)

Sets the directory size

Parameters:
  `size` - the directory size.

#### getTotalSize

    public java.lang.String getTotalSize()

Returns the total directory size.

Returns:
  the directory size.

#### setFreeSize

    public void setFreeSize(java.lang.String size)

Sets the free directory size

Parameters:
  `size` - the directory size.

#### getFreeSize

    public java.lang.String getFreeSize()

Sets the free directory size

Returns:
  the directory size.

#### clone

    public java.lang.Object clone()

Returns the clone of the object.

Overrides:
  `clone` in class `AbstractSiteData`
Returns:
  the clone